Subject: Re: [PATCH v2 2/9] x86/extable: switch to using FIELD_GET_SIGNED()

From: Yury Norov <[email-masked]>
Date: Wed, 29 Apr 2026 15:00:21 -0400

On Tue, Apr 28, 2026 at 11:39:05AM +0200, Peter Zijlstra wrote:
> On Mon, Apr 27, 2026 at 05:41:19PM -0400, Yury Norov wrote:
> > The EX_DATA register is laid out such that EX_DATA_IMM occupied MSB.
> > It's done to make sure that FIELD_GET() will sign-extend the IMM
> > field during extraction.
> > 
> > To enforce that, all EX_DATA masks are made signed integers. This
> > works, but relies on the particular implementation of FIELD_GET(),
> > i.e. masking then shifting, not vice versa; and the particular
> > placement of the fields in the register.
> > 
> > Switch to using the dedicated FIELD_GET_SIGNED(), and relax those
> > limitations.
> > 
> > Signed-off-by: Yury Norov <[email-masked]>
> 
> Acked-by: Peter Zijlstra (Intel) <[email-masked]>

Alright, thanks Peter and everyone. Now that all the patches except #9
are reviewed, I'm taking the series into bitmap-for-next.

Thanks,
Yury